###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#
###############################################################################
# EL_BufferMasked_13.cfg
# EL_BufferMasked set, EL-events occur, small buffer, buffer size=3
# Purpose:
# 1. To check if more EL even occure, the EL -lines are appended (and not overwrite the log file)
# 2. To check if every expected line occurs one and only one times
# 3. 
[MODULE_PARAMETERS]
tsp_looplimit:=5

[TESTPORT_PARAMETERS]
#empty
[LOGGING]
LogFile := "logs/%e-%r.%s"

ConsoleMask := TESTCASE | ACTION
FileMask := TESTCASE | ACTION 
TimeStampFormat := Time
LogEventTypes := Yes
SourceInfoFormat := Stack
LogEventTypes := Detailed
//AppendFile := Yes

*.EmergencyLogging:=3
*.EmergencyLoggingBehaviour := BufferMasked
*.EmergencyLoggingMask := LOG_ALL

[EXECUTE]
EmergencyLoggingTest.tc_user
EmergencyLoggingTest.tc_PTC_create_EL
EmergencyLoggingTest.tc_user_EL
 
[MAIN_CONTROLLER]
#UnixSocketsEnabled := No

//saved by GUI
